provider/oracle test stipple

Bug #1750094 reported by John A Meinel on 2018-02-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju
Medium
John A Meinel
2.3
Medium
John A Meinel

Bug Description

I don't know if this is a sign of a bug we are ignoring, or a sign that we're logging to something other than the logging infrastructure, but we shouldn't be seeing this while running a test suite that passes cleanly:
=== RUN TestPackage
2018-02-16 08:20:27 WARNING juju.provider.oracle instance.go:193 Instance still in running state after 30 checks. breaking loop
2018-02-16 08:20:27 WARNING juju.provider.oracle.network firewall.go:471 seclist /<email address hidden>/allowed_video_servers is still has some associations to instance(s): []. Will not delete
2018-02-16 08:20:27 WARNING juju.provider.oracle.network firewall.go:471 seclist /<email address hidden>/allowed_video_servers is still has some associations to instance(s): []. Will not delete
2018-02-16 08:20:27 WARNING juju.provider.oracle instance.go:193 Instance still in running state after 30 checks. breaking loop
2018-02-16 08:20:27 WARNING juju.provider.oracle.network firewall.go:471 seclist /<email address hidden>/allowed_video_servers is still has some associations to instance(s): []. Will not delete
2018-02-16 08:20:27 WARNING juju.provider.oracle.network firewall.go:471 seclist /<email address hidden>/allowed_video_servers is still has some associations to instance(s): []. Will not delete
2018-02-16 08:20:27 WARNING juju.provider.oracle instance.go:193 Instance still in running state after 30 checks. breaking loop
2018-02-16 08:20:27 WARNING juju.provider.oracle.network firewall.go:471 seclist /<email address hidden>/allowed_video_servers is still has some associations to instance(s): []. Will not delete
2018-02-16 08:20:27 WARNING juju.provider.oracle.network firewall.go:471 seclist /<email address hidden>/allowed_video_servers is still has some associations to instance(s): []. Will not delete
2018-02-16 08:20:27 WARNING juju.provider.oracle instance.go:193 Instance still in running state after 30 checks. breaking loop
2018-02-16 08:20:27 WARNING juju.provider.oracle.network firewall.go:471 seclist /<email address hidden>/allowed_video_servers is still has some associations to instance(s): []. Will not delete
2018-02-16 08:20:27 WARNING juju.provider.oracle.network firewall.go:471 seclist /<email address hidden>/allowed_video_servers is still has some associations to instance(s): []. Will not delete
OK: 83 passed
--- PASS: TestPackage (1.19s)
PASS
ok github.com/juju/juju/provider/oracle 4.743s

Tim Penhey (thumper) wrote :

Well, there are two things here.

One is that the base test suite isn't using one of the ones that includes the logging suite, and secondly, it does look like some instances aren't being deleted.

John A Meinel (jameinel) wrote :
Changed in juju:
status: Triaged → In Progress
assignee: nobody → John A Meinel (jameinel)
John A Meinel (jameinel) wrote :
Changed in juju:
milestone: none → 2.4-beta1
John A Meinel (jameinel) on 2018-03-19
Changed in juju:
status: In Progress → Fix Committed
Changed in juju:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers